%define	name	DNSSEC-Walker
%define	version	3.5
%define	release	2mdk

Summary:	Retrieve a DNS zone using NXT traversal
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://josefsson.org/walker/
Source:		walker-%{version}.tar.bz2
Requires:	perl perl-Net-DNS perl-Net-DNS-SEC
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	perl-doc

%description
This is a proof-of-concept of a utility to download DNS zone
contents even when AXFR is disabled on the server, assuming DNSSEC
is used. Optionally it can also verify all SIG RRs within a zone
against the zone key. If you do not know what DNSSEC is, please
refer to RFC 2535 

%prep

%setup -q -n walker-%{version}

%build
perldoc walker > walker.1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m755 walker %{buildroot}%{_bindir}/
install -m644 walker.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README index.html
%{_bindir}/walker
%{_mandir}/man1/walker.1*

%changelog
* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 3.5-2mdk
- rebuild

* Sun Jul 11 2004 Franck Villaume <fvill@freesurf.fr> 3.5-1mdk
- 3.5
- fix BuildRequires

* Thu Jun 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.4-1mdk
- 3.4
- generate walker.1

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.3-1mdk
- 3.3

* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2-1mdk
- 3.2

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1-2mdk
- build release

* Tue Nov 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1-1mdk
- initial cooker contrib
